rosbag2_bagfile_information:
  compression_format: zstd
  compression_mode: message
  custom_data: null
  duration:
    nanoseconds: 178393949090
  files:
  - duration:
      nanoseconds: 178393949090
    message_count: 109113
    path: 2024-08-15-13-48-29.db3
    starting_time:
      nanoseconds_since_epoch: 1723744110827246354
  message_count: 109113
  relative_file_paths:
  - 2024-08-15-13-48-29.db3
  ros_distro: rosbags
  starting_time:
    nanoseconds_since_epoch: 1723744110827246354
  storage_identifier: sqlite3
  topics_with_message_count:
  - message_count: 27102
    topic_metadata:
      name: /tf
      offered_qos_profiles: ''
      serialization_format: cdr
      type: tf2_msgs/msg/TFMessage
      type_description_hash: 
        RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
  - message_count: 6
    topic_metadata:
      name: /tf_static
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 4294967295, sec: 2147483647}\n  depth: 0\n  durability: 1\n  history:
        3\n  lifespan: {nsec: 4294967295, sec: 2147483647}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 4294967295, sec: 2147483647}\n  reliability: 1"
      serialization_format: cdr
      type: tf2_msgs/msg/TFMessage
      type_description_hash: 
        RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
  - message_count: 18141
    topic_metadata:
      name: /trevor/imu/data
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/Imu
      type_description_hash: 
        RIHS01_7d9a00ff131080897a5ec7e26e315954b8eae3353c3f995c55faf71574000b5b
  - message_count: 2870
    topic_metadata:
      name: /trevor/left_drive/velocity
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 10155
    topic_metadata:
      name: /trevor/joint_states
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/JointState
      type_description_hash: 
        RIHS01_a13ee3a330e346c9d87b5aa18d24e11690752bd33a0350f11c5882bc9179260e
  - message_count: 1438
    topic_metadata:
      name: /trevor/lidar_points
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/PointCloud2
      type_description_hash: 
        RIHS01_9198cabf7da3796ae6fe19c4cb3bdd3525492988c70522628af5daa124bae2b5
  - message_count: 18138
    topic_metadata:
      name: /trevor/odom
      offered_qos_profiles: ''
      serialization_format: cdr
      type: nav_msgs/msg/Odometry
      type_description_hash: 
        RIHS01_3cc97dc7fb7502f8714462c526d369e35b603cfc34d946e3f2eda2766dfec6e0
  - message_count: 2868
    topic_metadata:
      name: /trevor/right_drive/velocity
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 2276
    topic_metadata:
      name: /trevor/warthog_velocity_controller/cmd_vel
      offered_qos_profiles: ''
      serialization_format: cdr
      type: geometry_msgs/msg/Twist
      type_description_hash: 
        RIHS01_9c45bf16fe0983d80e3cfe750d6835843d265a9a6c46bd2e609fcddde6fb8d2a
  - message_count: 2866
    topic_metadata:
      name: /trevor/warthog_velocity_controller/odom
      offered_qos_profiles: ''
      serialization_format: cdr
      type: nav_msgs/msg/Odometry
      type_description_hash: 
        RIHS01_3cc97dc7fb7502f8714462c526d369e35b603cfc34d946e3f2eda2766dfec6e0
  - message_count: 2868
    topic_metadata:
      name: /trevor/warthog_velocity_controller/cmd_vel_out
      offered_qos_profiles: ''
      serialization_format: cdr
      type: geometry_msgs/msg/TwistStamped
      type_description_hash: 
        RIHS01_5f0fcd4f81d5d06ad9b4c4c63e3ea51b82d6ae4d0558f1d475229b1121db6f64
  - message_count: 155
    topic_metadata:
      name: /trevor/gps
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/NavSatFix
      type_description_hash: 
        RIHS01_62223ab3fe210a15976021da7afddc9e200dc9ec75231c1b6a557fc598a65404
  - message_count: 4295
    topic_metadata:
      name: /trevor/stereo_left/camera_info
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: 
        RIHS01_b303399feda782bcc44e57b8eec9baaa9e0e5a7cd4a89fee8cffe588d6dc93ed
  - message_count: 4346
    topic_metadata:
      name: /trevor/stereo_left/image_rect_color/compressed
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CompressedImage
      type_description_hash: 
        RIHS01_15640771531571185e2efc8a100baf923961a4d15d5569652e6cb6691e8e371a
  - message_count: 4279
    topic_metadata:
      name: /trevor/stereo_right/camera_info
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: 
        RIHS01_b303399feda782bcc44e57b8eec9baaa9e0e5a7cd4a89fee8cffe588d6dc93ed
  - message_count: 4344
    topic_metadata:
      name: /trevor/stereo_right/image_rect_color/compressed
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CompressedImage
      type_description_hash: 
        RIHS01_15640771531571185e2efc8a100baf923961a4d15d5569652e6cb6691e8e371a
  - message_count: 549
    topic_metadata:
      name: /trevor/left_drive/status/fault
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Bool
      type_description_hash: 
        RIHS01_feb91e995ff9ebd09c0cb3d2aed18b11077585839fb5db80193b62d74528f6c9
  - message_count: 548
    topic_metadata:
      name: /trevor/left_drive/status/speed
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 542
    topic_metadata:
      name: /trevor/right_drive/status/fault
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Bool
      type_description_hash: 
        RIHS01_feb91e995ff9ebd09c0cb3d2aed18b11077585839fb5db80193b62d74528f6c9
  - message_count: 544
    topic_metadata:
      name: /trevor/right_drive/status/speed
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 126
    topic_metadata:
      name: /trevor/left_drive/status/motor_temperature
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Int32
      type_description_hash: 
        RIHS01_b6578ded3c58c626cfe8d1a6fb6e04f706f97e9f03d2727c9ff4e74b1cef0deb
  - message_count: 126
    topic_metadata:
      name: /trevor/left_drive/status/battery_voltage
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 126
    topic_metadata:
      name: /trevor/left_drive/status/battery_current
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 135
    topic_metadata:
      name: /trevor/right_drive/status/motor_temperature
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Int32
      type_description_hash: 
        RIHS01_b6578ded3c58c626cfe8d1a6fb6e04f706f97e9f03d2727c9ff4e74b1cef0deb
  - message_count: 135
    topic_metadata:
      name: /trevor/right_drive/status/battery_voltage
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  - message_count: 135
    topic_metadata:
      name: /trevor/right_drive/status/battery_current
      offered_qos_profiles: ''
      serialization_format: cdr
      type: std_msgs/msg/Float64
      type_description_hash: 
        RIHS01_705ba9c3d1a09df43737eb67095534de36fd426c0587779bda2bc51fe790182a
  version: 8
